# Interface methods for submodule: GrayscaleDilateImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import KernelImageFilterProxy as _KernelImageFilterProxy


# Interface methods for class: GrayscaleDilateImageFilter
class GrayscaleDilateImageFilterProxy(_KernelImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetKernel(self, kernel: FlatStructuringElement) -> None:
		""""""
		...

	@overload
	def SetBoundary(self, value: float) -> None:
		""""""
		...

	@overload
	def SetBoundary(self, value: int) -> None:
		""""""
		...

	@overload
	def GetBoundary(self) -> float:
		""""""
		...

	@overload
	def GetBoundary(self) -> int:
		""""""
		...

	def SetAlgorithm(self, algo) -> None:
		""""""
		...

	def GetAlgorithm(self):
		""""""
		...

	def Modified(self) -> None:
		""""""
		...

	def SetNumberOfWorkUnits(self, nb: int) -> None:
		""""""
		...

